com.qualcomm.ftccommon

## Class FtcRobotControllerService

- java.lang.Object
- - Service
  - - com.qualcomm.ftccommon.FtcRobotControllerService

- All Implemented Interfaces:
    EventLoopManagerClient

      public class FtcRobotControllerService
      extends Service
      implements EventLoopManagerClient

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `FtcRobotControllerService.FtcRobotControllerBinder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtcRobotControllerService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetworkConnection` | `getNetworkConnection()`
    `NetworkConnection.NetworkEvent` | `getNetworkConnectionStatus()`
    `Robot` | `getRobot()`
    `RobotStatus` | `getRobotStatus()`
    `WebServer` | `getWebServer()`
    `IBinder` | `onBind(Intent intent)`
    `void` | `onCreate()`
    `void` | `onDestroy()`
    `CallbackResult` | `onNetworkConnectionEvent(NetworkConnection.NetworkEvent event)`
    `void` | `onReceive(Context context, Intent intent)`
    `int` | `onStartCommand(Intent intent, int flags, int startId)`
    `boolean` | `onUnbind(Intent intent)`
    `void` | `setCallback(UpdateUI.Callback callback)`
    `void` | `setupRobot(EventLoop eventLoop, EventLoop idleEventLoop, java.lang.Runnable runOnComplete)`
    `void` | `shutdownRobot()`
    `protected void` | `startLEDS()`
    `protected void` | `stopLEDS()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtcRobotControllerService

          public FtcRobotControllerService()

  - ### Method Detail

    - #### onReceive

          public void onReceive(Context context,
                                Intent intent)

    - #### getNetworkConnection

          public NetworkConnection getNetworkConnection()

    - #### getNetworkConnectionStatus

          public NetworkConnection.NetworkEvent getNetworkConnectionStatus()

    - #### getRobotStatus

          public RobotStatus getRobotStatus()

    - #### getRobot

          public Robot getRobot()

    - #### getWebServer

          public WebServer getWebServer()

      Specified by:
        `getWebServer` in interface `EventLoopManagerClient`

    - #### onCreate

          public void onCreate()

    - #### onStartCommand

          public int onStartCommand(Intent intent,
                                    int flags,
                                    int startId)

    - #### onBind

          public IBinder onBind(Intent intent)

    - #### onUnbind

          public boolean onUnbind(Intent intent)

    - #### onDestroy

          public void onDestroy()

    - #### startLEDS

          protected void startLEDS()

    - #### stopLEDS

          protected void stopLEDS()

    - #### setCallback

          public void setCallback(UpdateUI.Callback callback)

    - #### setupRobot

          public void setupRobot(EventLoop eventLoop,
                                 EventLoop idleEventLoop,
                                 java.lang.Runnable runOnComplete)

    - #### shutdownRobot

          public void shutdownRobot()

    - #### onNetworkConnectionEvent

          public CallbackResult onNetworkConnectionEvent(NetworkConnection.NetworkEvent event)